Bug 61739 - [Qt] Rewrite tst_QDeclarativeWebView::multipleWindows() to not depend on Grid internals
Summary: [Qt] Rewrite tst_QDeclarativeWebView::multipleWindows() to not depend on Grid...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit Qt (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Caio Marcelo de Oliveira Filho
URL:
Keywords:
Depends on:
Blocks: 38654
  Show dependency treegraph
 
Reported: 2011-05-30 10:50 PDT by Caio Marcelo de Oliveira Filho
Modified: 2011-06-01 12:34 PDT (History)
2 users (show)

See Also:


Attachments
Patch (5.90 KB, patch)
2011-05-30 11:01 PDT, Caio Marcelo de Oliveira Filho
vestbo: review+
vestbo: commit-queue-
Details | Formatted Diff | Diff
fix tor arne comments (7.05 KB, patch)
2011-05-31 12:31 PDT, Caio Marcelo de Oliveira Filho
no flags Details | Formatted Diff | Diff
same as before (7.14 KB, patch)
2011-05-31 14:09 PDT, Caio Marcelo de Oliveira Filho
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Caio Marcelo de Oliveira Filho 2011-05-30 10:50:08 PDT
[Qt] Rewrite tst_QDeclarativeWebView::multipleWindows() to not depend on Grid internals
Comment 1 Caio Marcelo de Oliveira Filho 2011-05-30 11:01:17 PDT
Created attachment 95356 [details]
Patch
Comment 2 Tor Arne Vestbø (not active) 2011-05-31 07:20:49 PDT
Comment on attachment 95356 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=95356&action=review

lgtm, a few comments:

> Source/WebKit/qt/tests/qdeclarativewebview/resources/newwindows.qml:-9
> -    height: 300; width: 600

Don't split this, it just adds to the diff for no reason.

> Source/WebKit/qt/tests/qdeclarativewebview/resources/newwindows.qml:30
> +                        firstPageOpened = thisPage;

pages.firstPageOpened
Comment 3 Caio Marcelo de Oliveira Filho 2011-05-31 12:31:37 PDT
Created attachment 95461 [details]
fix tor arne comments
Comment 4 Caio Marcelo de Oliveira Filho 2011-05-31 14:09:29 PDT
Created attachment 95479 [details]
same as before

Updated to add Tor Arne as reviewer, and using cq to commit.
Comment 5 WebKit Commit Bot 2011-05-31 21:28:24 PDT
Comment on attachment 95479 [details]
same as before

Rejecting attachment 95479 [details] from commit-queue.

Failed to run "['./Tools/Scripts/webkit-patch', '--status-host=queues.webkit.org', '--bot-id=cr-jail-7', 'land-a..." exit_code: 1

Last 500 characters of output:
autoinstalled/mechanize/_urllib2_fork.py", line 332, in _call_chain
    result = func(*args)
  File "/mnt/git/webkit-commit-queue/Tools/Scripts/webkitpy/thirdparty/autoinstalled/mechanize/_urllib2_fork.py", line 1170, in https_open
    return self.do_open(conn_factory, req)
  File "/mnt/git/webkit-commit-queue/Tools/Scripts/webkitpy/thirdparty/autoinstalled/mechanize/_urllib2_fork.py", line 1118, in do_open
    raise URLError(err)
urllib2.URLError: <urlopen error [Errno 60] Operation timed out>

Full output: http://queues.webkit.org/results/8758076
Comment 6 WebKit Commit Bot 2011-06-01 05:15:01 PDT
The commit-queue encountered the following flaky tests while processing attachment 95479 [details]:

http/tests/websocket/tests/frame-length-longer-than-buffer.html bug 61837 (author: abarth@webkit.org)
The commit-queue is continuing to process your patch.
Comment 7 WebKit Commit Bot 2011-06-01 05:16:22 PDT
Comment on attachment 95479 [details]
same as before

Clearing flags on attachment: 95479

Committed r87796: <http://trac.webkit.org/changeset/87796>
Comment 8 WebKit Commit Bot 2011-06-01 05:16:26 PDT
All reviewed patches have been landed.  Closing bug.
Comment 9 Ademar Reis 2011-06-01 12:34:19 PDT
Revision r87796 cherry-picked into qtwebkit-2.2 with commit 52da9d6 <http://gitorious.org/webkit/qtwebkit/commit/52da9d6>